<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:31 CEST 2019 -->
<title>FirebirdBlob (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FirebirdBlob (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FBUpdatableCursorFetcher.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FirebirdBlob.html" target="_top">Frames</a></li>
<li><a href="FirebirdBlob.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jdbc</div>
<h2 title="Interface FirebirdBlob" class="title">Interface FirebirdBlob</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true" title="class or interface in java.sql">Blob</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../org/firebirdsql/jdbc/FBBlob.html" title="class in org.firebirdsql.jdbc">FBBlob</a>, <a href="../../../org/firebirdsql/jdbc/FBCachedBlob.html" title="class in org.firebirdsql.jdbc">FBCachedBlob</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">FirebirdBlob</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true" title="class or interface in java.sql">Blob</a></pre>
<div class="block">Firebird Blob abstraction. This interface defines methods to read and write
 Blob content.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:rrokytskyy@users.sourceforge.net">Roman Rokytskyy</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html" title="interface in org.firebirdsql.jdbc">FirebirdBlob.BlobInputStream</a></span></code>
<div class="block">Blob input stream.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobOutputStream.html" title="interface in org.firebirdsql.jdbc">FirebirdBlob.BlobOutputStream</a></span></code>
<div class="block">Blob output stream.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc">FirebirdBlob</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html#detach--">detach</a></span>()</code>
<div class="block">Detach this blob.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html#isSegmented--">isSegmented</a></span>()</code>
<div class="block">Check if blob is segmented.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.sql.Blob">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true" title="class or interface in java.sql">Blob</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true#free--" title="class or interface in java.sql">free</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true#getBinaryStream--" title="class or interface in java.sql">getBinaryStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true#getBinaryStream-long-long-" title="class or interface in java.sql">getBinaryStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true#getBytes-long-int-" title="class or interface in java.sql">getBytes</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true#length--" title="class or interface in java.sql">length</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true#position-java.sql.Blob-long-" title="class or interface in java.sql">position</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true#position-byte:A-long-" title="class or interface in java.sql">position</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true#setBinaryStream-long-" title="class or interface in java.sql">setBinaryStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true#setBytes-long-byte:A-" title="class or interface in java.sql">setBytes</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true#setBytes-long-byte:A-int-int-" title="class or interface in java.sql">setBytes</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true#truncate-long-" title="class or interface in java.sql">truncate</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="detach--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>detach</h4>
<pre><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc">FirebirdBlob</a>&nbsp;detach()
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Detach this blob. This method creates new instance of the same blob 
 database object that is not under result set control. When result set
 is closed, all associated resources are also released, including open
 blob streams. This method creates an new instance of blob object with
 the same blob ID that can be used even when result set is closed.
 <p>
 Note, detached blob will not remember the stream position of this object.
 This means that you cannot start reading data from the blob, then detach
 it, and then continue reading. Reading from detached blob will begin at
 the blob start.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>instance of <a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc"><code>FirebirdBlob</code></a> that is not under result set 
 control.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if Blob cannot be detached.</dd>
</dl>
</li>
</ul>
<a name="isSegmented--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isSegmented</h4>
<pre>boolean&nbsp;isSegmented()
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Check if blob is segmented. If Blob is segmented, you cannot use 
 <a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html#seek-int-"><code>FirebirdBlob.BlobInputStream.seek(int)</code></a> method.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if this blob is segmented, 
 otherwise <code>false</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FBUpdatableCursorFetcher.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FirebirdBlob.html" target="_top">Frames</a></li>
<li><a href="FirebirdBlob.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
